unit aboutbox;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  TB97, StdCtrls, jpeg, ExtCtrls, Buttons, ComCtrls, URL, TB97Ctls;

type
  TAboutForm = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    BitBtn1: TBitBtn;
    Panel1: TPanel;
    Image1: TImage;
    Panel2: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Panel3: TPanel;
    ToolbarButton971: TToolbarButton97;
    ToolbarButton972: TToolbarButton97;
    Panel4: TPanel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Panel5: TPanel;
    Label12: TLabel;
    Panel6: TPanel;
    Image3: TImage;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    ToolbarButton973: TToolbarButton97;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Panel7: TPanel;
    Image2: TImage;
    GoURL: TURL;
    ToolbarButton974: TToolbarButton97;
    TabSheet3: TTabSheet;
    Panel8: TPanel;
    Panel9: TPanel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    EMail: TEdit;
    BitBtn2: TBitBtn;
    Label23: TLabel;
    procedure BitBtn1Click(Sender: TObject);
    procedure ToolbarButton971Click(Sender: TObject);
    procedure ToolbarButton972Click(Sender: TObject);
    procedure ToolbarButton973Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutForm: TAboutForm;

implementation

{$R *.DFM}
{$I ver.inc}

procedure TAboutForm.BitBtn1Click(Sender: TObject);
begin
  Close;
end;

procedure TAboutForm.ToolbarButton971Click(Sender: TObject);
begin
  GoURL. URL := 'konst.i.am';
  GoURL. Execute;
end;

procedure TAboutForm.ToolbarButton972Click(Sender: TObject);
begin
  GoURL. URL := 'tornado.hello.to';
  GoURL. Execute;
end;

procedure TAboutForm.ToolbarButton973Click(Sender: TObject);
begin
  GoURL. URL := 'www.getsoftware.com/cgi/info.gsc?productid=506';
  GoURL. Execute;
end;

procedure TAboutForm.BitBtn2Click(Sender: TObject);
Var
  S : String;

begin
  If Pos ('@', EMail. Text) <> 0 Then
  Begin
    S := 'www.listbot.com?e_mail='+EMail. Text+'&list_id=tornadonews&Act=subscribe_list';
    GoURL. URL := S;
    GoURL. Execute;
  End;
end;

procedure TAboutForm.FormCreate(Sender: TObject);
begin
  Label1. Caption := NameVer;
end;

end.
